---
title: ABA directory
slug: apis/payments/wires/abadirectory
description: Retrieve routing numbers and bank details of ABA members via GET /wires/v1/aba-directory to validate wire instructions.
icon: {"apiMethod":"GET"}
docTags: 
createdAt: 2025-07-01T13:52:21.671Z
---

## API reference

Retrieve a list of ABA members.

:::ApiMethodV2
```json
{
  "name": "Endpoint: v1/abadirectory",
  "method": "GET",
  "url": "https://sandbox.crbcos.com/wires/v1/abadirectory",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "LbfVjvGLheEmAkEcq4hI_",
        "language": "curl",
        "code": "curl -L 'https://sandbox.crbcos.com/wires/v1/abadirectory' ^\n-H 'Idempotency-key: 3e4ac46c-fa9e-4654-80b8-83f971622dfd' ^\n-H 'Authorization: Bearer token' ^\n-d ''",
        "customLabel": ""
      },
      {
        "id": "wzfIn2bdF0PX6pIwZDkVB",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n  'method': 'GET',\n  'url': 'https://sandbox.crbcos.com/wires/v1/abadirectory',\n  'headers': {\n    'Idempotency-key': '3e4ac46c-fa9e-4654-80b8-83f971622dfd',\n    'Authorization': 'Bearer token'\n  }\n};\nrequest(options, function (error, response) {\n  if (error) throw new Error(error);\n  console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "arE2OC2dzKMV1DfJpgbE6",
        "language": "python",
        "code": "import requests\n\nurl = \"https://sandbox.crbcos.com/wires/v1/abadirectory\"\n\npayload = \"\"\nheaders = {\n  'Idempotency-key': '3e4ac46c-fa9e-4654-80b8-83f971622dfd',\n  'Authorization': 'Bearer token'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "DlXBgirqsJwGbxLJ3362z",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://sandbox.crbcos.com/wires/v1/abadirectory\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"Idempotency-key\"] = \"3e4ac46c-fa9e-4654-80b8-83f971622dfd\"\nrequest[\"Authorization\"] = \"Bearer token\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "a9ab04gUE-3twLfwzy1Qz",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"strings\"\n  \"net/http\"\n  \"io\"\n)\n\nfunc main() {\n\n  url := \"https://sandbox.crbcos.com/wires/v1/abadirectory\"\n  method := \"GET\"\n\n  payload := strings.NewReader(``)\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, payload)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  req.Header.Add(\"Idempotency-key\", \"3e4ac46c-fa9e-4654-80b8-83f971622dfd\")\n  req.Header.Add(\"Authorization\", \"Bearer token\")\n\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := io.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "LbfVjvGLheEmAkEcq4hI_"
  },
  "results": {
    "languages": [
      {
        "id": "MkfhHjA1OdGA79nsPsSfn",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"results\": [\n        {\n            \"routingNumber\": \"011000015\",\n            \"telegraphicName\": \"FRB-BOS           \",\n            \"customerName\": \"FEDERAL RESERVE BANK OF BOSTON      \",\n            \"state\": \"MA\",\n            \"city\": \"BOSTON                   \",\n            \"fundsTransferStatus\": \"Y\",\n            \"fundsSettlementOnlyStatus\": \" \",\n            \"lastRevisionDate\": \"20040910\",\n            \"lastModifiedAt\": \"2018-05-17T16:04:51.867-04:00\"\n        },\n        {\n            \"routingNumber\": \"011000028\",\n            \"telegraphicName\": \"STATE ST BOS      \",\n            \"customerName\": \"STATE STREET BOSTON                 \",\n            \"state\": \"MA\",\n            \"city\": \"BOSTON                   \",\n            \"fundsTransferStatus\": \"Y\",\n            \"fundsSettlementOnlyStatus\": \" \",\n            \"lastRevisionDate\": \"        \",\n            \"lastModifiedAt\": \"2018-05-17T16:04:51.867-04:00\"\n        },\n        {\n            \"routingNumber\": \"011000536\",\n            \"telegraphicName\": \"FHLB BOSTON       \",\n            \"customerName\": \"FEDERAL HOME LOAN BANK              \",\n            \"state\": \"MA\",\n            \"city\": \"BOSTON                   \",\n            \"fundsTransferStatus\": \"Y\",\n            \"fundsSettlementOnlyStatus\": \" \",\n            \"lastRevisionDate\": \"20170818\",\n            \"lastModifiedAt\": \"2018-05-17T16:04:51.867-04:00\"\n        },\n        {\n            \"routingNumber\": \"011001234\",\n            \"telegraphicName\": \"BK OF NYC         \",\n            \"customerName\": \"THE BANK OF NEW YORK MELLON         \",\n            \"state\": \"NY\",\n            \"city\": \"NEW YORK                 \",\n            \"fundsTransferStatus\": \"Y\",\n            \"fundsSettlementOnlyStatus\": \" \",\n            \"lastRevisionDate\": \"20170424\",\n            \"lastModifiedAt\": \"2018-05-17T16:04:51.867-04:00\"\n        },\n        {\n            \"routingNumber\": \"011001276\",\n            \"telegraphicName\": \"ONEUNITED BANK    \",\n            \"customerName\": \"ONEUNITED BANK                      \",\n            \"state\": \"MA\",\n            \"city\": \"BOSTON                   \",\n            \"fundsTransferStatus\": \"Y\",\n            \"fundsSettlementOnlyStatus\": \" \",\n            \"lastRevisionDate\": \"20021231\",\n            \"lastModifiedAt\": \"2018-05-17T16:04:51.867-04:00\"\n        },\n        {\n            \"routingNumber\": \"011001881\",\n            \"telegraphicName\": \"FIDUCIARY TR BOS  \",\n            \"customerName\": \"FIDUCIARY TRUST COMPANY             \",\n            \"state\": \"MA\",\n            \"city\": \"BOSTON                   \",\n            \"fundsTransferStatus\": \"Y\",\n            \"fundsSettlementOnlyStatus\": \" \",\n            \"lastRevisionDate\": \"        \",\n            \"lastModifiedAt\": \"2018-05-17T16:04:51.867-04:00\"\n        },\n        {\n            \"routingNumber\": \"011002343\",\n            \"telegraphicName\": \"BOSTON PRIVATE BK \",\n            \"customerName\": \"THE BOSTON PRIVATE BK. & TR CO      \",\n            \"state\": \"MA\",\n            \"city\": \"BOSTON                   \",\n            \"fundsTransferStatus\": \"Y\",\n            \"fundsSettlementOnlyStatus\": \" \",\n            \"lastRevisionDate\": \"        \",\n            \"lastModifiedAt\": \"2018-05-17T16:04:51.867-04:00\"\n        },\n        {\n            \"routingNumber\": \"011002877\",\n            \"telegraphicName\": \"EW BK SMRINO      \",\n            \"customerName\": \"EAST WEST BANK                      \",\n            \"state\": \"MA\",\n            \"city\": \"BOSTON                   \",\n            \"fundsTransferStatus\": \"Y\",\n            \"fundsSettlementOnlyStatus\": \" \",\n            \"lastRevisionDate\": \"20141107\",\n            \"lastModifiedAt\": \"2018-05-17T16:04:51.867-04:00\"\n        },\n        {\n            \"routingNumber\": \"011075150\",\n            \"telegraphicName\": \"SANTANDER BK      \",\n            \"customerName\": \"SANTANDER BANK, N.A.                \",\n            \"state\": \"PA\",\n            \"city\": \"WYOMISSING               \",\n            \"fundsTransferStatus\": \"Y\",\n            \"fundsSettlementOnlyStatus\": \" \",\n            \"lastRevisionDate\": \"20131029\",\n            \"lastModifiedAt\": \"2018-05-17T16:04:51.867-04:00\"\n        },\n        {\n            \"routingNumber\": \"011102133\",\n            \"telegraphicName\": \"HOMETOWN CNB      \",\n            \"customerName\": \"HOMETOWN BANK                       \",\n            \"state\": \"MA\",\n            \"city\": \"WEBSTER                  \",\n            \"fundsTransferStatus\": \"Y\",\n            \"fundsSettlementOnlyStatus\": \" \",\n            \"lastRevisionDate\": \"20161118\",\n            \"lastModifiedAt\": \"2018-05-17T16:04:51.867-04:00\"\n        }\n    ],\n    \"pageNumber\": 1,\n    \"pageSize\": 10,\n    \"hasPreviousPage\": false,\n    \"hasNextPage\": true\n}"
      }
    ],
    "selectedLanguageId": "MkfhHjA1OdGA79nsPsSfn"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [
      {
        "name": "searchTerm",
        "kind": "optional",
        "type": "string",
        "description": "Specify a search term to limit the results",
        "": "Specify a search term to limit the results"
      }
    ],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  },
  "hasTryItOut": false,
  "response": [
    {
      "name": "results",
      "kind": "optional",
      "type": "object",
      "description": "Array of results",
      "children": [
        {
          "name": "routingNumber",
          "kind": "optional",
          "type": "string",
          "description": "9-digit ABA routing number that identifies a financial institution"
        },
        {
          "name": "telegraphicName",
          "kind": "optional",
          "type": "string",
          "description": ""
        },
        {
          "name": "customerName",
          "kind": "optional",
          "type": "string",
          "description": "Name of bank"
        },
        {
          "name": "state",
          "kind": "optional",
          "type": "string",
          "description": "State where bank is located"
        },
        {
          "name": "city",
          "kind": "optional",
          "type": "string",
          "description": "City where bank is located"
        },
        {
          "name": "fundsTransferStatus",
          "kind": "optional",
          "type": "string",
          "description": "The institution's capability to process standard Fedwire funds transfers. \n- \"Y\" - Institution can process Fedwire funds transfers\n - \"N\" or \" \" (space) - Institution cannot process or is not eligible"
        },
        {
          "name": "fundsSettlementOnlyStatus",
          "kind": "optional",
          "type": "string",
          "description": "The institution's capability for settlement-only transfers.\n- \"S\" - Settlement-only participant\n- \" \" (space) - Not a settlement-only participant"
        },
        {
          "name": "lastRevisionDate",
          "kind": "optional",
          "type": "string",
          "description": "Date in YYYMMDD format"
        },
        {
          "name": "lastModifiedAt",
          "kind": "optional",
          "type": "string",
          "description": "The date and time when the financial institution was last updated, formatted as yyyy-mm-ddThh:mm:ss[.mmm]"
        }
      ]
    }
  ],
  "autoGeneratedAnchorSlug": "endpoint-v1abadirectory",
  "legacyHash": "76uTfsrynvDsDKD9E_1Yo"
}
```
:::

